Function
assignQual
Extracts the quality values of a sequence file fragment.
assignQual(qualities, seqFragment, formatTag)
Include Headers
seqan/file.h
Parameters

qualities | The resulting quality values encoded in ASCII. Types: CharString Remarks: The quality values are encoded in ASCII and must be manually converted into zero-based values.
seqFragment | A sequence file fragment. Types: String
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
After calling split on a ConcatDirect StringSet to divide a file into fragments, this function can be used to extract the sequence quality values of every fragment in the StringSet.
See Also
split
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46